Unshare Route
Unshare a route that was shared with another space (experimental)
Unshares a route that was shared with another space.
Request
URI
DELETE
https://api.example.local/v3/routes/{guid}/relationships/shared_spaces/{space_guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
string
space_guid
Required
The GUID of the space to unshare the route from
Responses
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/routes/{guid}/relationships/shared_spaces/{space_guid}
Routes Operations
GET
List Routes
POST
Create Route
GET
List Destinations For Route
POST
Insert Destinations For Route
PATCH
Replace Destinations For Route With Patch
PUT
Replace Destinations For Route
PATCH
Update Destination Protocol For Route
DELETE
Remove Destination For Route
GET
List App Routes
GET
Get Route
PATCH
Update Route
DELETE
Delete Route
GET
List Shared Spaces Relationship
POST
Share Route
DELETE
Unshare Route
PATCH
Transfer Route Ownership